-- Deploy camper:booking_invoice to pg
-- requires: roles
-- requires: schema_camper
-- requires: booking
-- requires: invoice

begin;

set search_path to camper, public;

create table booking_invoice (
	booking_id integer not null references booking,
	invoice_id integer not null references invoice,
	primary key (booking_id, invoice_id)
);

grant select, insert, update, delete on table booking_invoice to employee;
grant select, insert, update, delete on table booking_invoice to admin;

commit;
